Skip to content

Save GitHub token, repos, webhook secret and/or state automation

POST
/api/v1/workspaces/{ws}/integrations/github
Media typeapplication/json
object
token
string
>= 1 characters <= 255 characters
repos
Array<string>
<= 20 items
webhook_secret
string
>= 16 characters <= 255 characters
link_database_id
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
state_automation
object
opened
string
nullable >= 1 characters <= 100 characters
reopened
string
nullable >= 1 characters <= 100 characters
review_requested
string
nullable >= 1 characters <= 100 characters
review_approved
string
nullable >= 1 characters <= 100 characters
review_changes_requested
string
nullable >= 1 characters <= 100 characters
merged
string
nullable >= 1 characters <= 100 characters
closed
string
nullable >= 1 characters <= 100 characters
pushed
string
nullable >= 1 characters <= 100 characters
Examplegenerated
{
"token": "example",
"repos": [
"example"
],
"webhook_secret": "example",
"link_database_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"state_automation": {
"opened": "example",
"reopened": "example",
"review_requested": "example",
"review_approved": "example",
"review_changes_requested": "example",
"merged": "example",
"closed": "example",
"pushed": "example"
}
}